For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Inboxes
      • GETGet Inbox
      • POSTCreate Inbox
      • PATCHUpdate Inbox
      • DELDelete Inbox
        • GETList Drafts
        • GETGet Draft
        • GETGet Attachment
        • POSTCreate Draft
        • PATCHUpdate Draft
        • DELDelete Draft
        • POSTSend Draft
LogoLogo
contact@agentmail.ccDiscord
API ReferenceInboxesDrafts

Delete Draft

DELETE
/v0/inboxes/:inbox_id/drafts/:draft_id
DELETE
/v0/inboxes/:inbox_id/drafts/:draft_id
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.inboxes.drafts.delete(
8 inbox_id="inbox_id",
9 draft_id="draft_id",
10)
**CLI:** ```bash agentmail inboxes:drafts delete --inbox-id <inbox_id> --draft-id <draft_id> ```
Was this page helpful?
Previous

Send Draft

Next
Built with

CLI:

$agentmail inboxes:drafts delete --inbox-id <inbox_id> --draft-id <draft_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.
draft_idstringRequired
ID of draft.

Errors

404
Not Found Error